Changeset 114325 for trunk/dports/aqua


Ignore:
Timestamp:
Dec 5, 2013, 9:20:31 AM (6 years ago)
Author:
ryandesign@…
Message:

use eq and ne instead of == and != when comparing ${os.platform} and ${os.subplatform}

Location:
trunk/dports/aqua
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/aqua/HandBrake/Portfile

    r98486 r114325  
    141141
    142142pre-fetch {
    143     if {${os.platform} == "darwin" && ${os.major} < 10} {
     143    if {${os.platform} eq "darwin" && ${os.major} < 10} {
    144144        ui_error "${name} ${version} requires OS X 10.6 or greater."
    145145        return -code error "incompatible OS X version"
  • trunk/dports/aqua/Platypus/Portfile

    r98138 r114325  
    3434destroot.target     Platypus
    3535
    36 if {"darwin" == ${os.platform} && ${os.major} >= 10} {
     36if {${os.platform} eq "darwin" && ${os.major} >= 10} {
    3737    universal_variant   no
    3838}
     
    5656
    5757    # there is no English.lproj when building on Tiger and Leopard but there is one on SL
    58     if {"darwin" == ${os.platform} && 10 > ${os.major}} {
     58    if {${os.platform} eq "darwin" && 10 > ${os.major}} {
    5959        reinplace "s|English.lproj/||g" ${worksrcpath}/Scripts/InstallCommandLineTool.sh
    6060    }
  • trunk/dports/aqua/Platypus44/Portfile

    r100568 r114325  
    3636destroot.target     Platypus
    3737
    38 if {"darwin" == ${os.platform} && ${os.major} >= 10} {
     38if {${os.platform} eq "darwin" && ${os.major} >= 10} {
    3939    universal_variant   no
    4040}
     
    4949
    5050    # there is no English.lproj when building on Tiger and Leopard but there is one on SL
    51     if {"darwin" == ${os.platform} && 10 > ${os.major}} {
     51    if {${os.platform} eq "darwin" && 10 > ${os.major}} {
    5252        reinplace "s|English.lproj/||g" ${worksrcpath}/Scripts/InstallCommandLineTool.sh
    5353    }
  • trunk/dports/aqua/emacs-mac-app/Portfile

    r113392 r114325  
    3737                    --without-imagemagick
    3838
    39 if {${os.major} >= 11 && ${os.platform} == "darwin"} {
     39if {${os.major} >= 11 && ${os.platform} eq "darwin"} {
    4040    configure.cflags-append -fobjc-arc
    4141}
  • trunk/dports/aqua/iTunesMatchHelper/Portfile

    r99440 r114325  
    2828}
    2929
    30 if {${os.platform} == "darwin" && ${os.major} < 11} {
     30if {${os.platform} eq "darwin" && ${os.major} < 11} {
    3131    pre-fetch {
    3232        ui_error "${name} ${version} requires OS X 10.7 or greater."
  • trunk/dports/aqua/terminal-notifier/Portfile

    r112543 r114325  
    1818
    1919pre-fetch {
    20     if {${os.platform} == "darwin" && ${os.major} < 12} {
     20    if {${os.platform} eq "darwin" && ${os.major} < 12} {
    2121        ui_error "${name} only works with Mac OS X 10.8 Mountain Lion or later."
    2222        return -code error "incompatible Mac OS X version"
Note: See TracChangeset for help on using the changeset viewer.